Skip to main content
GET
Get Dataset

Authorizations

Authorization
string
header
required

JWT token from Stytch B2B authentication (magic link, SSO, or M2M)

Path Parameters

dataset_id
string
required

Dataset ID

Example:

"dataset_abc123"

Query Parameters

expand[]
string[] | null

List of related objects to expand in the response. Example: ?expand[]=model&expand[]=versions

Example:

Response

Successful Response

Response schema for a dataset.

id
string
required

Dataset ID

Example:

"ds_abc123"

name
string
required

Dataset display name

Example:

"Customer Support QA"

createdAt
string<date-time>
required

Creation timestamp (UTC ISO8601)

Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
required

Last update timestamp (UTC ISO8601)

Example:

"2024-01-15T14:45:00Z"

description
string | null

Optional description

Example:

"Q&A pairs for support"

Indicates end-user/org consent for using data in model training.

items
any[] | null

Dataset items (files). Only included when expand[]=items is specified.

snapshots
any[] | null

Dataset snapshots. Only included when expand[]=snapshots is specified.